<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:49:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>AbstractStereotypeApplicationWithVSLUiModule (org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="AbstractStereotypeApplicationWithVSLUiModule (org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractStereotypeApplicationWithVSLUiModule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/StereotypeApplicationWithVSLExecutableExtensionFactory.html" title="class in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html" target="_top">Frames</a></li>
<li><a href="AbstractStereotypeApplicationWithVSLUiModule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui</div>
<h2 title="Class AbstractStereotypeApplicationWithVSLUiModule" class="title">Class AbstractStereotypeApplicationWithVSLUiModule</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.service.AbstractGenericModule</li>
<li>
<ul class="inheritance">
<li>org.eclipse.xtext.ui.DefaultUiModule</li>
<li>
<ul class="inheritance">
<li>org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui.AbstractStereotypeApplicationWithVSLUiModule</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.google.inject.Module</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/StereotypeApplicationWithVSLUiModule.html" title="class in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui">StereotypeApplicationWithVSLUiModule</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">AbstractStereotypeApplicationWithVSLUiModule</span>
extends org.eclipse.xtext.ui.DefaultUiModule</pre>
<div class="block">Manual modifications go to {org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui.StereotypeApplicationWithVSLUiModule}</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#AbstractStereotypeApplicationWithVSLUiModule-org.eclipse.ui.plugin.AbstractUIPlugin-">AbstractStereotypeApplicationWithVSLUiModule</a></span>(org.eclipse.ui.plugin.AbstractUIPlugin&nbsp;plugin)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#bindContentAssistContext:DFactory--">bindContentAssistContext$Factory</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#bindIContentAssistParser--">bindIContentAssistParser</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#bindIContentProposalProvider--">bindIContentProposalProvider</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.refactoring.IDependentElementsCalculator&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#bindIDependentElementsCalculator--">bindIDependentElementsCalculator</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.jface.viewers.ILabelProvider&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#bindILabelProvider--">bindILabelProvider</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#bindIOutlineTreeProvider--">bindIOutlineTreeProvider</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#bindIOutlineTreeStructureProvider--">bindIOutlineTreeStructureProvider</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#bindIProposalConflictHelper--">bindIProposalConflictHelper</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#bindIssueResolutionProvider--">bindIssueResolutionProvider</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#configureContentAssistLexer-com.google.inject.Binder-">configureContentAssistLexer</a></span>(com.google.inject.Binder&nbsp;binder)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#configureContentAssistLexerProvider-com.google.inject.Binder-">configureContentAssistLexerProvider</a></span>(com.google.inject.Binder&nbsp;binder)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#configureHighlightingLexer-com.google.inject.Binder-">configureHighlightingLexer</a></span>(com.google.inject.Binder&nbsp;binder)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#configureHighlightingTokenDefProvider-com.google.inject.Binder-">configureHighlightingTokenDefProvider</a></span>(com.google.inject.Binder&nbsp;binder)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#configureResourceUIServiceLabelProvider-com.google.inject.Binder-">configureResourceUIServiceLabelProvider</a></span>(com.google.inject.Binder&nbsp;binder)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>com.google.inject.Provider&lt;org.eclipse.xtext.resource.containers.IAllContainersState&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html#provideIAllContainersState--">provideIAllContainersState</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.ui.DefaultUiModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.ui.DefaultUiModule</h3>
<code>bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindIBracePairProvider, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIEObjectHover, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindIShouldGenerate, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindIWhitespaceInformationProvider, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindProjectConfigProvider, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureIssueCodesPreferenceInitializer, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureSmartCaretPreferenceInitializer, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.xtext.service.AbstractGenericModule">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.xtext.service.AbstractGenericModule</h3>
<code>bindProperties, getBindings, tryBindProperties</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="AbstractStereotypeApplicationWithVSLUiModule-org.eclipse.ui.plugin.AbstractUIPlugin-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>AbstractStereotypeApplicationWithVSLUiModule</h4>
<pre>public&nbsp;AbstractStereotypeApplicationWithVSLUiModule(org.eclipse.ui.plugin.AbstractUIPlugin&nbsp;plugin)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="provideIAllContainersState--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>provideIAllContainersState</h4>
<pre>public&nbsp;com.google.inject.Provider&lt;org.eclipse.xtext.resource.containers.IAllContainersState&gt;&nbsp;provideIAllContainersState()</pre>
</li>
</ul>
<a name="bindIProposalConflictHelper--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bindIProposalConflictHelper</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.contentassist.IProposalConflictHelper&gt;&nbsp;bindIProposalConflictHelper()</pre>
</li>
</ul>
<a name="configureHighlightingLexer-com.google.inject.Binder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureHighlightingLexer</h4>
<pre>public&nbsp;void&nbsp;configureHighlightingLexer(com.google.inject.Binder&nbsp;binder)</pre>
</li>
</ul>
<a name="configureHighlightingTokenDefProvider-com.google.inject.Binder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureHighlightingTokenDefProvider</h4>
<pre>public&nbsp;void&nbsp;configureHighlightingTokenDefProvider(com.google.inject.Binder&nbsp;binder)</pre>
</li>
</ul>
<a name="bindIDependentElementsCalculator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bindIDependentElementsCalculator</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.refactoring.IDependentElementsCalculator&gt;&nbsp;bindIDependentElementsCalculator()</pre>
</li>
</ul>
<a name="bindILabelProvider--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bindILabelProvider</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.jface.viewers.ILabelProvider&gt;&nbsp;bindILabelProvider()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>bindILabelProvider</code>&nbsp;in class&nbsp;<code>org.eclipse.xtext.ui.DefaultUiModule</code></dd>
</dl>
</li>
</ul>
<a name="configureResourceUIServiceLabelProvider-com.google.inject.Binder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureResourceUIServiceLabelProvider</h4>
<pre>public&nbsp;void&nbsp;configureResourceUIServiceLabelProvider(com.google.inject.Binder&nbsp;binder)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>configureResourceUIServiceLabelProvider</code>&nbsp;in class&nbsp;<code>org.eclipse.xtext.ui.DefaultUiModule</code></dd>
</dl>
</li>
</ul>
<a name="bindIOutlineTreeProvider--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bindIOutlineTreeProvider</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.outline.IOutlineTreeProvider&gt;&nbsp;bindIOutlineTreeProvider()</pre>
</li>
</ul>
<a name="bindIOutlineTreeStructureProvider--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bindIOutlineTreeStructureProvider</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.outline.impl.IOutlineTreeStructureProvider&gt;&nbsp;bindIOutlineTreeStructureProvider()</pre>
</li>
</ul>
<a name="bindIssueResolutionProvider--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bindIssueResolutionProvider</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.quickfix.IssueResolutionProvider&gt;&nbsp;bindIssueResolutionProvider()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>bindIssueResolutionProvider</code>&nbsp;in class&nbsp;<code>org.eclipse.xtext.ui.DefaultUiModule</code></dd>
</dl>
</li>
</ul>
<a name="bindIContentProposalProvider--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bindIContentProposalProvider</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.contentassist.IContentProposalProvider&gt;&nbsp;bindIContentProposalProvider()</pre>
</li>
</ul>
<a name="bindContentAssistContext:DFactory--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bindContentAssistContext$Factory</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.contentassist.ContentAssistContext.Factory&gt;&nbsp;bindContentAssistContext$Factory()</pre>
</li>
</ul>
<a name="bindIContentAssistParser--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>bindIContentAssistParser</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&lt;? extends org.eclipse.xtext.ui.editor.contentassist.antlr.IContentAssistParser&gt;&nbsp;bindIContentAssistParser()</pre>
</li>
</ul>
<a name="configureContentAssistLexerProvider-com.google.inject.Binder-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>configureContentAssistLexerProvider</h4>
<pre>public&nbsp;void&nbsp;configureContentAssistLexerProvider(com.google.inject.Binder&nbsp;binder)</pre>
</li>
</ul>
<a name="configureContentAssistLexer-com.google.inject.Binder-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>configureContentAssistLexer</h4>
<pre>public&nbsp;void&nbsp;configureContentAssistLexer(com.google.inject.Binder&nbsp;binder)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/AbstractStereotypeApplicationWithVSLUiModule.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../../../../org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/StereotypeApplicationWithVSLExecutableExtensionFactory.html" title="class in org.eclipse.papyrus.marte.textedit.stereotypeapplicationwithvsl.xtext.ui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../index.html?org/eclipse/papyrus/marte/textedit/stereotypeapplicationwithvsl/xtext/ui/AbstractStereotypeApplicationWithVSLUiModule.html" target="_top">Frames</a></li>
<li><a href="AbstractStereotypeApplicationWithVSLUiModule.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
